> ## Documentation Index
> Fetch the complete documentation index at: https://mcp.theoryofevolution.com.au/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Availability requests will be sent to the booking system in order to find out the current availability for the
given product and booking time.

> Request Availability



## OpenAPI

````yaml /openapi/ebs-supplier-api.json get /cms/ebs/availability/{productIdentifier}
openapi: 3.0.0
info:
  title: EBS Supplier API
  version: 0.0.0
  description: >-
    Supplier-side EBS integration endpoints for authentication, availability,
    booking, and cancellations.
servers: []
security: []
tags:
  - name: Version 1
    description: Version 1
  - name: Authentication / Authorisation
    description: Authentication / Authorisation
  - name: Booking Parameters
    description: Booking Parameters
  - name: Availability
    description: Availability
  - name: Booking
    description: Booking
  - name: Bookings
    description: Bookings
  - name: Product Bookings
    description: Product Bookings
  - name: Booking Cancellation
    description: Booking Cancellation
paths:
  /cms/ebs/availability/{productIdentifier}:
    get:
      tags:
        - Version 1
        - Availability
      summary: >-
        Availability requests will be sent to the booking system in order to
        find out the current availability for the

        given product and booking time.
      description: Request Availability
      operationId: get_cms_core_ebs_getavailabilityfordate
      parameters:
        - name: productIdentifier
          in: path
          description: >-
            Identifier for the fare/product being booked on the external booking
            system
          required: true
          schema:
            type: string
        - name: startDate
          in: query
          description: Start of date range to check availability for, in YYYY-MM-DD format.
          required: true
          schema:
            type: string
            format: date
        - name: endDate
          in: query
          description: >-
            End of date range to check availability for, in YYYY-MM-DD format. 
            Both dates are inclusive; if the startDate is the same as the
            endDate, availability should be returned for that date.<br/>Please
            note that the TravelDesk system will only request up to 14 days
            maximum
          required: true
          schema:
            type: string
            format: date
        - name: bookingTimeId
          in: query
          description: >-
            Identifier of booking time to check availability for, as provided in
            the Booking Details response.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Returned when successful.
          content:
            application/json:
              schema:
                description: Availability Response Parameters
                properties:
                  availability:
                    description: >-
                      Array of Availability objects, one for each date included
                      in the request date range
                    type: array
                    items:
                      properties:
                        date:
                          description: Date in YYYY-MM-DD format
                          type: string
                        quantityAvailable:
                          description: >-
                            Quantity of tickets available for purchase for this
                            date
                          type: integer
                        notApplicable:
                          description: >-
                            True if the product is not offered on the date
                            provided
                          type: boolean
                        rrp:
                          description: A recommended price for the product on this date
                          type: number
                          format: float
                        net:
                          description: A net price for the product on this date
                          type: number
                          format: float
                      type: object
                type: object
        default:
          description: >-
            Not 200, will all be treated as a failure. Use an appropriate code
            and detailed error message.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.